=== modified file 'Makefile.am'
--- Makefile.am	2009-06-24 19:34:15 +0000
+++ Makefile.am	2009-06-26 17:01:42 +0000
@@ -10,11 +10,11 @@
 
 # Python packages we want to install
 pyshareddir = $(datadir)/pyshared
-pypackages =						\
-	canonical/ubuntuone/oauthdesktop		\
-	canonical/ubuntuone/storage/syncdaemon/fsm	\
-	canonical/ubuntuone/storage/syncdaemon		\
-	canonical/ubuntuone/storage/u1sync
+pypackages =				\
+	ubuntuone/oauthdesktop		\
+	ubuntuone/syncdaemon/fsm	\
+	ubuntuone/syncdaemon		\
+	ubuntuone/u1sync
 
 # Install our scripts and extra data here
 bin_SCRIPTS =				\
@@ -34,7 +34,7 @@
 apport_DATA = apport/source_ubuntuone-client.py
 
 # Don't end up pulling in storage-protocol source as well
-pyfiles = $(shell SRCDIR="$(top_srcdir)/canonical"; for i in `find $$SRCDIR -type f`; do printf "$$i "; done)
+pyfiles = $(shell SRCDIR="$(top_srcdir)/ubuntuone"; for i in `find $$SRCDIR -type f`; do printf "$$i "; done)
 
 check: protocol setup.py Makefile
 	if test "x$(builddir)" == "x$(srcdir)"; then \
@@ -45,8 +45,8 @@
 
 protocol:
 	if test "x$(builddir)" == "x$(srcdir)"; then \
-		if [ ! -e canonical/ubuntuone/storage/protocol ]; then \
-			$(LN_S) $(USP_PATH) canonical/ubuntuone/storage/protocol; \
+		if [ ! -e ubuntuone/storageprotocol ]; then \
+			$(LN_S) $(USP_PATH) ubuntuone/storageprotocol; \
 		fi; \
 	fi
 
@@ -79,7 +79,7 @@
 	for i in `find $(builddir) -name "*.pyc"`; do \
 		rm -f $$i; \
 	done
-	rm -f canonical/ubuntuone/storage/protocol
+	rm -f ubuntuone/storageprotocol
 	rm -rf build dist _trial_temp
 
 EXTRA_DIST =		\

=== modified file 'bin/u1sdtool'
--- bin/u1sdtool	2009-05-13 19:58:44 +0000
+++ bin/u1sdtool	2009-06-26 17:01:42 +0000
@@ -25,8 +25,8 @@
 import sys
 import warnings
 
-from canonical.ubuntuone.storage.syncdaemon.tools import SyncDaemonTool
-from canonical.ubuntuone.storage.syncdaemon.dbus_interface import DBUS_IFACE_NAME
+from ubuntuone.syncdaemon.tools import SyncDaemonTool
+from ubuntuone.syncdaemon.dbus_interface import DBUS_IFACE_NAME
 from dbus.mainloop.glib import DBusGMainLoop
 from optparse import OptionParser
 from twisted.internet import reactor

=== modified file 'bin/u1sync'
--- bin/u1sync	2009-05-12 13:36:05 +0000
+++ bin/u1sync	2009-06-26 17:01:42 +0000
@@ -24,6 +24,6 @@
 glib2reactor.install()
 
 import sys
-from canonical.ubuntuone.storage.u1sync.main import main
+from ubuntuone.u1sync.main import main
 
 exit(main(*sys.argv))

=== modified file 'bin/ubuntuone-client-applet'
--- bin/ubuntuone-client-applet	2009-06-11 15:04:20 +0000
+++ bin/ubuntuone-client-applet	2009-06-26 17:01:42 +0000
@@ -36,12 +36,12 @@
 
 from dbus.exceptions import DBusException
 from dbus.mainloop.glib import DBusGMainLoop
-from canonical.ubuntuone.oauthdesktop.main import Login
+from ubuntuone.oauthdesktop.main import Login
 from gobject.option import OptionGroup, OptionParser, make_option
 from xdg.BaseDirectory import xdg_data_home, xdg_config_home
 from urllib import quote
 
-from canonical.ubuntuone.oauthdesktop.logger import setupLogging
+from ubuntuone.oauthdesktop.logger import setupLogging
 setupLogging()
 import logging
 logger = logging.getLogger("UbuntuOne.Client.Applet")

=== modified file 'bin/ubuntuone-syncdaemon'
--- bin/ubuntuone-syncdaemon	2009-06-18 19:01:02 +0000
+++ bin/ubuntuone-syncdaemon	2009-06-26 17:01:42 +0000
@@ -29,9 +29,9 @@
 import signal
 import sys
 
-from canonical.ubuntuone.storage.syncdaemon import logger
-from canonical.ubuntuone.storage.syncdaemon import dbus_interface
-from canonical.ubuntuone.storage.syncdaemon.main import Main
+from ubuntuone.syncdaemon import logger
+from ubuntuone.syncdaemon import dbus_interface
+from ubuntuone.syncdaemon.main import Main
 
 from configglue import configglue
 from twisted.internet import reactor

=== removed directory 'canonical'
=== removed file 'canonical/__init__.py'
--- canonical/__init__.py	2009-05-12 13:36:05 +0000
+++ canonical/__init__.py	1970-01-01 00:00:00 +0000
@@ -1,15 +0,0 @@
-# Copyright 2009 Canonical Ltd.
-#
-# This program is free software: you can redistribute it and/or modify it
-# under the terms of the GNU General Public License version 3, as published
-# by the Free Software Foundation.
-#
-# This program is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranties of
-# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
-# PURPOSE.  See the GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License along
-# with this program.  If not, see <http://www.gnu.org/licenses/>.
-"""canonical package"""
-

=== removed directory 'canonical/ubuntuone/storage'
=== removed file 'canonical/ubuntuone/storage/__init__.py'
--- canonical/ubuntuone/storage/__init__.py	2009-05-12 13:36:05 +0000
+++ canonical/ubuntuone/storage/__init__.py	1970-01-01 00:00:00 +0000
@@ -1,14 +0,0 @@
-# Copyright 2009 Canonical Ltd.
-#
-# This program is free software: you can redistribute it and/or modify it
-# under the terms of the GNU General Public License version 3, as published
-# by the Free Software Foundation.
-#
-# This program is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranties of
-# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
-# PURPOSE.  See the GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License along
-# with this program.  If not, see <http://www.gnu.org/licenses/>.
-""" Storage module """

=== modified file 'configure.ac'
--- configure.ac	2009-06-24 19:34:15 +0000
+++ configure.ac	2009-06-26 17:01:42 +0000
@@ -72,7 +72,7 @@
 else
    ending=`basename $USP_PATH`
    if test "x$ending" != "xprotocol"; then
-      USP_PATH="$USP_PATH/canonical/ubuntuone/storage/protocol"
+      USP_PATH="$USP_PATH/ubuntuone/storageprotocol"
    fi
    AC_MSG_RESULT([$USP_PATH])
 fi

=== modified file 'contrib/testing/testcase.py'
--- contrib/testing/testcase.py	2009-05-12 21:45:38 +0000
+++ contrib/testing/testcase.py	2009-06-26 17:01:42 +0000
@@ -24,7 +24,7 @@
 from warnings import warn
 
 
-from canonical.ubuntuone.storage.syncdaemon import (
+from ubuntuone.syncdaemon import (
     action_queue,
     event_queue,
     filesystem_manager as fs_manager,
@@ -32,7 +32,7 @@
     volume_manager,
     main,
 )
-from canonical.ubuntuone.storage.syncdaemon.dbus_interface import (
+from ubuntuone.syncdaemon.dbus_interface import (
     DBusInterface,
     DBusExposedObject,
     NM_STATE_CONNECTED,

=== modified file 'tests/oauthdesktop/test_auth.py'
--- tests/oauthdesktop/test_auth.py	2009-05-12 13:36:05 +0000
+++ tests/oauthdesktop/test_auth.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# test_auth - Tests for canonical.ubuntuone.oauthdesktop.auth module
+# test_auth - Tests for ubuntuone.oauthdesktop.auth module
 #
 # Author: Stuart Langridge <stuart.langridge@canonical.com>
 #
@@ -21,8 +21,8 @@
 from contrib.mocker import ANY, IN, MockerTestCase
 import testresources
 
-from canonical.ubuntuone.storage.protocol import oauth
-from canonical.ubuntuone.oauthdesktop.auth import (AuthorisationClient,
+from ubuntuone.storageprotocol import oauth
+from ubuntuone.oauthdesktop.auth import (AuthorisationClient,
                                                 NoAccessToken)
 
 
@@ -126,7 +126,7 @@
            and correctly sets an ACL on it."""
         self.expect_token_store()
         saka = self.mocker.replace(
-          "canonical.ubuntuone.oauthdesktop.key_acls.set_all_key_acls")
+          "ubuntuone.oauthdesktop.key_acls.set_all_key_acls")
         saka(item_id=self.item_id)
         self.mocker.result(None)
 

=== modified file 'tests/oauthdesktop/test_config.py'
--- tests/oauthdesktop/test_config.py	2009-05-12 21:10:37 +0000
+++ tests/oauthdesktop/test_config.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# test_config - tests for canonical.ubuntuone.oauthdesktop.config
+# test_config - tests for ubuntuone.oauthdesktop.config
 #
 # Author: Stuart Langridge <stuart.langridge@canonical.com>
 #
@@ -19,8 +19,8 @@
 
 import os, StringIO
 from contrib.mocker import MockerTestCase
-from canonical.ubuntuone.oauthdesktop import config
-from canonical.ubuntuone.oauthdesktop.config import get_config
+from ubuntuone.oauthdesktop import config
+from ubuntuone.oauthdesktop.config import get_config
 
 class ConfigFileTests(MockerTestCase):
     """Test the config file finder"""
@@ -30,7 +30,7 @@
         
         # mock that tmp config file exists
         tmp_config_file = os.path.realpath(os.path.join(
-          os.path.split(config.__file__)[0], "../../../data/oauth_urls"
+          os.path.split(config.__file__)[0], "../../data/oauth_urls"
         ))
         osp = self.mocker.replace("os.path")
         osp.isfile(tmp_config_file)
@@ -71,7 +71,7 @@
         
         # mock that tmp config file exists
         tmp_config_file = os.path.realpath(os.path.join(
-          os.path.split(config.__file__)[0], "../../../data/oauth_urls"
+          os.path.split(config.__file__)[0], "../../data/oauth_urls"
         ))
         osp = self.mocker.replace("os.path")
         osp.isfile(tmp_config_file)

=== modified file 'tests/oauthdesktop/test_key_acls.py'
--- tests/oauthdesktop/test_key_acls.py	2009-05-12 13:36:05 +0000
+++ tests/oauthdesktop/test_key_acls.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# test_key_acls - tests for canonical.ubuntuone.oauthdesktop.key_acls
+# test_key_acls - tests for ubuntuone.oauthdesktop.key_acls
 #
 # Author: Stuart Langridge <stuart.langridge@canonical.com>
 #
@@ -20,7 +20,7 @@
 import os, StringIO
 import xdg.BaseDirectory
 from contrib.mocker import MockerTestCase, IN, ANY
-from canonical.ubuntuone.oauthdesktop.key_acls import (
+from ubuntuone.oauthdesktop.key_acls import (
   get_privileged_config_folder, get_acl_preregistrations, set_all_key_acls,
   set_single_acl)
 
@@ -80,7 +80,7 @@
         """Does set_single_acl work?"""
 
         giifr = self.mocker.replace(
-          "canonical.ubuntuone.oauthdesktop.key_acls.get_item_ids_for_realm")
+          "ubuntuone.oauthdesktop.key_acls.get_item_ids_for_realm")
         igas = self.mocker.replace("gnomekeyring.item_get_acl_sync")
         isas = self.mocker.replace("gnomekeyring.item_set_acl_sync")
         acon = self.mocker.replace("gnomekeyring.AccessControl")
@@ -147,7 +147,7 @@
         self.mocker.result(sio2)
         
         ssa = self.mocker.replace(
-          "canonical.ubuntuone.oauthdesktop.key_acls.set_single_acl")
+          "ubuntuone.oauthdesktop.key_acls.set_single_acl")
         # list may come up in any order
         ssa(IN([
               [

=== modified file 'tests/oauthdesktop/test_main.py'
--- tests/oauthdesktop/test_main.py	2009-05-12 21:10:37 +0000
+++ tests/oauthdesktop/test_main.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# test_main - tests for canonical.ubuntuone.oauthdesktop.main
+# test_main - tests for ubuntuone.oauthdesktop.main
 #
 # Author: Stuart Langridge <stuart.langridge@canonical.com>
 #
@@ -19,8 +19,8 @@
 
 import os, StringIO
 from contrib.mocker import MockerTestCase
-from canonical.ubuntuone.oauthdesktop import config
-from canonical.ubuntuone.oauthdesktop.main import LoginProcessor, BadRealmError
+from ubuntuone.oauthdesktop import config
+from ubuntuone.oauthdesktop.main import LoginProcessor, BadRealmError
 
 class Realm(MockerTestCase):
     """Test the realm handling finder"""
@@ -36,7 +36,7 @@
         
         # mock that tmp config file exists
         tmp_config_file = os.path.realpath(os.path.join(
-          os.path.split(config.__file__)[0], "../../../data/oauth_urls"
+          os.path.split(config.__file__)[0], "../../data/oauth_urls"
         ))
         osp = self.mocker.replace("os.path")
         osp.isfile(tmp_config_file)

=== modified file 'tests/syncdaemon/fsm/test_fsm.py'
--- tests/syncdaemon/fsm/test_fsm.py	2009-05-13 21:06:35 +0000
+++ tests/syncdaemon/fsm/test_fsm.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.syncdaemon.fsm.tests.test_fsm 
+# ubuntuone.syncdaemon.fsm.tests.test_fsm 
 #
 # Author: Lucio Torre <lucio.torre@canonical.com>
 #
@@ -22,7 +22,7 @@
 import os
 
 
-from canonical.ubuntuone.storage.syncdaemon.fsm import fsm
+from ubuntuone.syncdaemon.fsm import fsm
 
 def p(name):
     """make a full path from here."""

=== modified file 'tests/syncdaemon/fsm/test_fsm_run.py'
--- tests/syncdaemon/fsm/test_fsm_run.py	2009-05-12 13:36:05 +0000
+++ tests/syncdaemon/fsm/test_fsm_run.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.syncdaemon.fsm.tests.test_fsm_run
+# ubuntuone.syncdaemon.fsm.tests.test_fsm_run
 #
 # Author: Lucio Torre <lucio.torre@canonical.com>
 #
@@ -22,7 +22,7 @@
 import unittest
 import os
 
-from canonical.ubuntuone.storage.syncdaemon.fsm import fsm
+from ubuntuone.syncdaemon.fsm import fsm
 
 def p(name):
     """make a full path from here."""

=== modified file 'tests/syncdaemon/test_dbus.py'
--- tests/syncdaemon/test_dbus.py	2009-05-15 19:39:47 +0000
+++ tests/syncdaemon/test_dbus.py	2009-06-26 17:01:42 +0000
@@ -19,25 +19,25 @@
 import os
 import unittest
 
-from canonical.ubuntuone.storage.protocol.sharersp import (
+from ubuntuone.storageprotocol.sharersp import (
     NotifyShareHolder,
 )
-from canonical.ubuntuone.storage.syncdaemon.dbus_interface import (
+from ubuntuone.syncdaemon.dbus_interface import (
     DBUS_IFACE_STATUS_NAME,
     DBUS_IFACE_EVENTS_NAME,
     DBUS_IFACE_FS_NAME,
     DBUS_IFACE_SYNC_NAME,
     DBUS_IFACE_SHARES_NAME,
 )
-from canonical.ubuntuone.storage.syncdaemon.volume_manager import Share
-from canonical.ubuntuone.storage.syncdaemon.tools import DBusClient
-from canonical.ubuntuone.storage.syncdaemon import event_queue
-from canonical.ubuntuone.storage.syncdaemon import states
+from ubuntuone.syncdaemon.volume_manager import Share
+from ubuntuone.syncdaemon.tools import DBusClient
+from ubuntuone.syncdaemon import event_queue
+from ubuntuone.syncdaemon import states
 from contrib.testing.testcase import (
     DBusTwistedTestCase,
 )
 from twisted.internet import defer
-from canonical.ubuntuone.storage.syncdaemon.marker import MDMarker
+from ubuntuone.syncdaemon.marker import MDMarker
 
 
 class DBusInterfaceTests(DBusTwistedTestCase):

=== modified file 'tests/syncdaemon/test_eventqueue.py'
--- tests/syncdaemon/test_eventqueue.py	2009-05-12 17:34:36 +0000
+++ tests/syncdaemon/test_eventqueue.py	2009-06-26 17:01:42 +0000
@@ -22,7 +22,7 @@
 import logging
 import unittest
 
-from canonical.ubuntuone.storage.syncdaemon import (
+from ubuntuone.syncdaemon import (
     event_queue,
     filesystem_manager,
 )

=== modified file 'tests/syncdaemon/test_fileshelf.py'
--- tests/syncdaemon/test_fileshelf.py	2009-05-12 17:34:36 +0000
+++ tests/syncdaemon/test_fileshelf.py	2009-06-26 17:01:42 +0000
@@ -22,7 +22,7 @@
 import unittest
 import shutil
 
-from canonical.ubuntuone.storage.syncdaemon.file_shelf import FileShelf
+from ubuntuone.syncdaemon.file_shelf import FileShelf
 
 TESTS_DIR = os.path.join(os.getcwd(), "tmp")
 

=== modified file 'tests/syncdaemon/test_fsm.py'
--- tests/syncdaemon/test_fsm.py	2009-06-22 17:12:32 +0000
+++ tests/syncdaemon/test_fsm.py	2009-06-26 17:01:42 +0000
@@ -28,9 +28,9 @@
     FakeVolumeManager,
 )
 
-from canonical.ubuntuone.storage.syncdaemon.filesystem_manager import (
+from ubuntuone.syncdaemon.filesystem_manager import (
                             FileSystemManager, InconsistencyError)
-from canonical.ubuntuone.storage.syncdaemon.volume_manager import Share
+from ubuntuone.syncdaemon.volume_manager import Share
 
 TESTS_DIR = os.path.join(os.getcwd(), "tmp")
 

=== modified file 'tests/syncdaemon/test_hashqueue.py'
--- tests/syncdaemon/test_hashqueue.py	2009-06-22 17:13:36 +0000
+++ tests/syncdaemon/test_hashqueue.py	2009-06-26 17:01:42 +0000
@@ -28,8 +28,8 @@
 from twisted.trial.unittest import TestCase as TwistedTestCase
 from twisted.internet import defer
 
-from canonical.ubuntuone.storage.syncdaemon import hash_queue
-from canonical.ubuntuone.storage.protocol.hash import \
+from ubuntuone.syncdaemon import hash_queue
+from ubuntuone.storageprotocol.hash import \
             content_hash_factory, crc32
 
 TESTS_DIR = os.path.join(os.getcwd(), "tmp")

=== modified file 'tests/syncdaemon/test_localrescan.py'
--- tests/syncdaemon/test_localrescan.py	2009-05-14 20:10:54 +0000
+++ tests/syncdaemon/test_localrescan.py	2009-06-26 17:01:42 +0000
@@ -24,11 +24,11 @@
 import shutil
 
 from contrib.testing import testcase
-from canonical.ubuntuone.storage.syncdaemon.local_rescan import LocalRescan
-from canonical.ubuntuone.storage.syncdaemon import event_queue
-from canonical.ubuntuone.storage.syncdaemon import filesystem_manager
-from canonical.ubuntuone.storage.syncdaemon.volume_manager import Share
-from canonical.ubuntuone.storage.protocol.hash import content_hash_factory
+from ubuntuone.syncdaemon.local_rescan import LocalRescan
+from ubuntuone.syncdaemon import event_queue
+from ubuntuone.syncdaemon import filesystem_manager
+from ubuntuone.syncdaemon.volume_manager import Share
+from ubuntuone.storageprotocol.hash import content_hash_factory
 
 from twisted.trial.unittest import TestCase as TwistedTestCase
 from twisted.internet import defer, reactor

=== modified file 'tests/syncdaemon/test_tools.py'
--- tests/syncdaemon/test_tools.py	2009-05-12 17:34:36 +0000
+++ tests/syncdaemon/test_tools.py	2009-06-26 17:01:42 +0000
@@ -17,7 +17,7 @@
 """tests for the syncdaemon tools module """
 import os
 
-from canonical.ubuntuone.storage.syncdaemon import (
+from ubuntuone.syncdaemon import (
     event_queue,
     tools,
     volume_manager,

=== modified file 'tests/syncdaemon/test_u1fsfsm.py'
--- tests/syncdaemon/test_u1fsfsm.py	2009-05-12 13:36:05 +0000
+++ tests/syncdaemon/test_u1fsfsm.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.syncdaemon.tests.test_u1fsfsm
+# ubuntuone.syncdaemon.tests.test_u1fsfsm
 #
 # Author: Lucio Torre <lucio.torre@canonical.com>
 #
@@ -22,7 +22,7 @@
 import os
 
 
-from canonical.ubuntuone.storage.syncdaemon.fsm import fsm
+from ubuntuone.syncdaemon.fsm import fsm
 
 def p(name):
     """make a full path from here."""

=== modified file 'tests/syncdaemon/test_vm.py'
--- tests/syncdaemon/test_vm.py	2009-06-18 01:31:04 +0000
+++ tests/syncdaemon/test_vm.py	2009-06-26 17:01:42 +0000
@@ -21,8 +21,8 @@
 import os
 import uuid
 
-from canonical.ubuntuone.storage.protocol.client import ListShares
-from canonical.ubuntuone.storage.protocol.sharersp import (
+from ubuntuone.storageprotocol.client import ListShares
+from ubuntuone.storageprotocol.sharersp import (
     NotifyShareHolder,
     ShareResponse,
 )
@@ -30,7 +30,7 @@
     FakeMain,
     BaseTwistedTestCase,
 )
-from canonical.ubuntuone.storage.syncdaemon.volume_manager import (
+from ubuntuone.syncdaemon.volume_manager import (
     Share,
     VolumeManager,
     ShareFileShelf,

=== modified file 'tests/u1sync/test_init.py'
--- tests/u1sync/test_init.py	2009-05-28 14:58:40 +0000
+++ tests/u1sync/test_init.py	2009-06-26 17:01:42 +0000
@@ -19,7 +19,7 @@
 import os
 
 from unittest import TestCase
-from canonical.ubuntuone.storage.u1sync.main import do_init
+from ubuntuone.u1sync.main import do_init
 
 class InitTestCase(TestCase):
     """Tests for u1sync --init"""

=== renamed directory 'canonical/ubuntuone' => 'ubuntuone'
=== modified file 'ubuntuone/__init__.py'
--- canonical/ubuntuone/__init__.py	2009-05-12 13:36:05 +0000
+++ ubuntuone/__init__.py	2009-06-26 17:01:42 +0000
@@ -11,4 +11,4 @@
 #
 # You should have received a copy of the GNU General Public License along
 # with this program.  If not, see <http://www.gnu.org/licenses/>.
-"""canonical.ubuntuone package"""
+"""ubuntuone package"""

=== modified file 'ubuntuone/oauthdesktop/__init__.py'
--- canonical/ubuntuone/oauthdesktop/__init__.py	2009-05-12 13:36:05 +0000
+++ ubuntuone/oauthdesktop/__init__.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.oauthdesktop - OAuth client support for desktop apps
+# ubuntuone.oauthdesktop - OAuth client support for desktop apps
 #
 # Copyright 2009 Canonical Ltd.
 #

=== modified file 'ubuntuone/oauthdesktop/auth.py'
--- canonical/ubuntuone/oauthdesktop/auth.py	2009-05-26 15:08:52 +0000
+++ ubuntuone/oauthdesktop/auth.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.oauthdesktop.auth - Client authorization module
+# ubuntuone.oauthdesktop.auth - Client authorization module
 #
 # Author: Stuart Langridge <stuart.langridge@canonical.com>
 #
@@ -30,13 +30,13 @@
 import dbus
 
 import gnomekeyring
-from canonical.ubuntuone.storage.protocol import oauth
-from canonical.ubuntuone.oauthdesktop.key_acls import set_all_key_acls
+from ubuntuone.storageprotocol import oauth
+from ubuntuone.oauthdesktop.key_acls import set_all_key_acls
 
 from twisted.internet import reactor
 from twisted.web import server, resource
 
-from canonical.ubuntuone.oauthdesktop.logger import setupLogging
+from ubuntuone.oauthdesktop.logger import setupLogging
 setupLogging()
 import logging
 logger = logging.getLogger("UbuntuOne.OAuthDesktop.auth")

=== modified file 'ubuntuone/oauthdesktop/config.py'
--- canonical/ubuntuone/oauthdesktop/config.py	2009-05-12 21:10:37 +0000
+++ ubuntuone/oauthdesktop/config.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.oauthdesktop.config - Configuration for OAuthDesktop
+# ubuntuone.oauthdesktop.config - Configuration for OAuthDesktop
 #
 # Author: Stuart Langridge <stuart.langridge@canonical.com>
 #
@@ -31,7 +31,7 @@
     """
     # if tmpconfig exists, then we are running out of the source tree
     tmpconfig = os.path.realpath(os.path.join(
-            __file__, "../../../../data/oauth_urls"
+            __file__, "../../../data/oauth_urls"
             ))
     if os.path.isfile(tmpconfig) and use_tmpconfig:
         config_file = tmpconfig

=== modified file 'ubuntuone/oauthdesktop/key_acls.py'
--- canonical/ubuntuone/oauthdesktop/key_acls.py	2009-05-12 13:36:05 +0000
+++ ubuntuone/oauthdesktop/key_acls.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.oauthdesktop.key_acls - OAuth ACL handling for keyring
+# ubuntuone.oauthdesktop.key_acls - OAuth ACL handling for keyring
 #
 # Author: Stuart Langridge <stuart.langridge@canonical.com>
 #

=== modified file 'ubuntuone/oauthdesktop/logger.py'
--- canonical/ubuntuone/oauthdesktop/logger.py	2009-05-12 13:36:05 +0000
+++ ubuntuone/oauthdesktop/logger.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.oauthdesktop.logger - logging miscellany
+# ubuntuone.oauthdesktop.logger - logging miscellany
 #
 # Author: Stuart Langridge <stuart.langridge@canonical.com>
 #

=== modified file 'ubuntuone/oauthdesktop/main.py'
--- canonical/ubuntuone/oauthdesktop/main.py	2009-05-26 10:58:38 +0000
+++ ubuntuone/oauthdesktop/main.py	2009-06-26 17:01:42 +0000
@@ -1,6 +1,6 @@
 #!/usr/bin/python
 
-# canonical.ubuntuone.oauthdesktop.main - main login handling interface
+# ubuntuone.oauthdesktop.main - main login handling interface
 #
 # Author: Stuart Langridge <stuart.langridge@canonical.com>
 #
@@ -33,10 +33,10 @@
 
 from dbus.mainloop.glib import DBusGMainLoop
 
-from canonical.ubuntuone.oauthdesktop.config import get_config
+from ubuntuone.oauthdesktop.config import get_config
 from twisted.internet.threads import deferToThread
 
-from canonical.ubuntuone.oauthdesktop.logger import setupLogging
+from ubuntuone.oauthdesktop.logger import setupLogging
 setupLogging()
 import logging
 logger = logging.getLogger("UbuntuOne.OAuthDesktop.main")
@@ -80,7 +80,7 @@
                      "access='%s', secret='%s'", request_token_url,
                      user_authorisation_url, access_token_url, consumer_secret)
 
-        from canonical.ubuntuone.oauthdesktop.auth import AuthorisationClient
+        from ubuntuone.oauthdesktop.auth import AuthorisationClient
         client = AuthorisationClient(self.realm,
                                      request_token_url,
                                      user_authorisation_url,
@@ -97,7 +97,7 @@
         """Deal with errors returned from auth process"""
         logger.debug("Error returned from auth process")
         self.dbus_object.currently_authing = False # don't block future requests
-        from canonical.ubuntuone.oauthdesktop.auth import (
+        from ubuntuone.oauthdesktop.auth import (
            ConsumerKeyInvalid, UnknownLoginError, NotOnlineError)
         r = failure.trap(ConsumerKeyInvalid, UnknownLoginError, NotOnlineError)
         logger.debug("Error was: %s", r)

=== renamed directory 'canonical/ubuntuone/storage/syncdaemon' => 'ubuntuone/syncdaemon'
=== modified file 'ubuntuone/syncdaemon/__init__.py'
--- canonical/ubuntuone/storage/syncdaemon/__init__.py	2009-05-12 13:36:05 +0000
+++ ubuntuone/syncdaemon/__init__.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.syncdaemon - Ubuntu One sync daemon modules
+# ubuntuone.syncdaemon - Ubuntu One sync daemon modules
 #
 # Copyright 2009 Canonical Ltd.
 #

=== modified file 'ubuntuone/syncdaemon/action_queue.py'
--- canonical/ubuntuone/storage/syncdaemon/action_queue.py	2009-06-23 19:15:22 +0000
+++ ubuntuone/syncdaemon/action_queue.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.syncdaemon.action_queue - Action queue
+# ubuntuone.syncdaemon.action_queue - Action queue
 #
 # Author: John Lenton <john.lenton@canonical.com>
 #
@@ -35,12 +35,12 @@
 from twisted.python.failure import Failure
 
 import uuid
-from canonical.ubuntuone.storage.protocol.context import get_ssl_context
-from canonical.ubuntuone.storage.protocol import protocol_pb2
-from canonical.ubuntuone.storage.protocol.client import StorageClient, \
+from ubuntuone.storageprotocol.context import get_ssl_context
+from ubuntuone.storageprotocol import protocol_pb2
+from ubuntuone.storageprotocol.client import StorageClient, \
     StorageClientFactory
-from canonical.ubuntuone.storage.syncdaemon.logger import mklog, TRACE
-from canonical.ubuntuone.storage.syncdaemon.interfaces import IActionQueue, \
+from ubuntuone.syncdaemon.logger import mklog, TRACE
+from ubuntuone.syncdaemon.interfaces import IActionQueue, \
     IMarker
 
 logger = logging.getLogger("ubuntuone.SyncDaemon.ActionQueue")

=== modified file 'ubuntuone/syncdaemon/dbus_interface.py'
--- canonical/ubuntuone/storage/syncdaemon/dbus_interface.py	2009-06-12 16:53:49 +0000
+++ ubuntuone/syncdaemon/dbus_interface.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.syncdaemon.dbus_interface - DBus Interface
+# ubuntuone.syncdaemon.dbus_interface - DBus Interface
 #
 # Author: Guillermo Gonzalez <guillermo.gonzalez@canonical.com>
 #
@@ -18,8 +18,8 @@
 """ DBUS interface module """
 import dbus.service
 
-from canonical.ubuntuone.storage.syncdaemon.event_queue import EVENTS
-from canonical.ubuntuone.storage.syncdaemon.interfaces import IMarker
+from ubuntuone.syncdaemon.event_queue import EVENTS
+from ubuntuone.syncdaemon.interfaces import IMarker
 import logging
 
 DBUS_IFACE_NAME = 'com.ubuntuone.SyncDaemon'
@@ -670,7 +670,7 @@
 
     def connect(self):
         """ Push the SYS_CONNECT event with the tokens in the keyring. """
-        from canonical.ubuntuone.storage.syncdaemon.main import NoAccessToken
+        from ubuntuone.syncdaemon.main import NoAccessToken
         try:
             access_token = self.main.get_access_token()
             self.event_queue.push('SYS_CONNECT', access_token)

=== modified file 'ubuntuone/syncdaemon/event_queue.py'
--- canonical/ubuntuone/storage/syncdaemon/event_queue.py	2009-06-22 17:13:36 +0000
+++ ubuntuone/syncdaemon/event_queue.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.syncdaemon.event_queue - Event queuing
+# ubuntuone.syncdaemon.event_queue - Event queuing
 #
 # Author: Facundo Batista <facundo@canonical.com>
 #

=== modified file 'ubuntuone/syncdaemon/file_shelf.py'
--- canonical/ubuntuone/storage/syncdaemon/file_shelf.py	2009-05-12 13:36:05 +0000
+++ ubuntuone/syncdaemon/file_shelf.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storagefs.diskcache - disk-backed filesystem cache
+# ubuntuone.storagefs.diskcache - disk-backed filesystem cache
 #
 # Authors: Facundo Batista <facundo@canonical.com>
 #          Guillermo Gonzalez  <guillermo.gonzalez@canonical.com>

=== modified file 'ubuntuone/syncdaemon/filesystem_manager.py'
--- canonical/ubuntuone/storage/syncdaemon/filesystem_manager.py	2009-06-24 13:16:28 +0000
+++ ubuntuone/syncdaemon/filesystem_manager.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.syncdaemon.filesystem_manager - FSM
+# ubuntuone.syncdaemon.filesystem_manager - FSM
 #
 # Author: Facundo Batista <facundo@canonical.com>
 #
@@ -26,7 +26,7 @@
 import contextlib
 import errno
 
-from canonical.ubuntuone.storage.syncdaemon import file_shelf
+from ubuntuone.syncdaemon import file_shelf
 import uuid
 
 METADATA_VERSION = "2"

=== modified file 'ubuntuone/syncdaemon/fsm/fsm.py'
--- canonical/ubuntuone/storage/syncdaemon/fsm/fsm.py	2009-05-12 13:36:05 +0000
+++ ubuntuone/syncdaemon/fsm/fsm.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.syncdaemon.fsm.fsm - a fsm
+# ubuntuone.syncdaemon.fsm.fsm - a fsm
 #
 # Author: Lucio Torre <lucio.torre@canonical.com>
 #
@@ -21,7 +21,7 @@
 """
 import itertools
 
-from canonical.ubuntuone.storage.syncdaemon import logger
+from ubuntuone.syncdaemon import logger
 
 try:
     product = itertools.product
@@ -191,7 +191,7 @@
                 # fsm_parser depends on python-uno for reading ods documents
                 # this shouldnt be called with an .ods file on production
                 # environments
-                from canonical.ubuntuone.storage.syncdaemon.fsm import \
+                from ubuntuone.syncdaemon.fsm import \
                     fsm_parser
                 spec = fsm_parser.parse(input_data)
             elif input_data.endswith(".py"):

=== modified file 'ubuntuone/syncdaemon/fsm/fsm_draw.py'
--- canonical/ubuntuone/storage/syncdaemon/fsm/fsm_draw.py	2009-05-12 13:36:05 +0000
+++ ubuntuone/syncdaemon/fsm/fsm_draw.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.syncdaemon.fsm.fsm_draw - draw a fsm
+# ubuntuone.syncdaemon.fsm.fsm_draw - draw a fsm
 #
 # Author: Lucio Torre <lucio.torre@canonical.com>
 #
@@ -27,7 +27,7 @@
 import gtk.gdk
 
 import xdot
-from canonical.ubuntuone.storage.syncdaemon.fsm import fsm
+from ubuntuone.syncdaemon.fsm import fsm
 
 def dict2label(d):
     'transform a dictionary into a label'

=== modified file 'ubuntuone/syncdaemon/fsm/fsm_parser.py'
--- canonical/ubuntuone/storage/syncdaemon/fsm/fsm_parser.py	2009-05-13 20:33:51 +0000
+++ ubuntuone/syncdaemon/fsm/fsm_parser.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.syncdaemon.fsm.fsm_parser - parse a fsm
+# ubuntuone.syncdaemon.fsm.fsm_parser - parse a fsm
 #
 # Author: Lucio Torre <lucio.torre@canonical.com>
 #

=== modified file 'ubuntuone/syncdaemon/hash_queue.py'
--- canonical/ubuntuone/storage/syncdaemon/hash_queue.py	2009-06-23 16:02:08 +0000
+++ ubuntuone/syncdaemon/hash_queue.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.syncdaemon.hash_queue - hash queues
+# ubuntuone.syncdaemon.hash_queue - hash queues
 #
 # Author: Facundo Batista <facundo@canonical.com>
 #
@@ -27,7 +27,7 @@
 
 from twisted.internet import reactor
 
-from canonical.ubuntuone.storage.protocol.hash import \
+from ubuntuone.storageprotocol.hash import \
     content_hash_factory, crc32
 
 

=== modified file 'ubuntuone/syncdaemon/interfaces.py'
--- canonical/ubuntuone/storage/syncdaemon/interfaces.py	2009-05-12 13:36:05 +0000
+++ ubuntuone/syncdaemon/interfaces.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.syncdaemon.interfaces - ActionQueue interface
+# ubuntuone.syncdaemon.interfaces - ActionQueue interface
 #
 # Authors: John Lenton <john.lenton@canonical.com>
 #          Lucio Torre <lucio.torre@canonical.com>

=== modified file 'ubuntuone/syncdaemon/local_rescan.py'
--- canonical/ubuntuone/storage/syncdaemon/local_rescan.py	2009-05-14 20:10:54 +0000
+++ ubuntuone/syncdaemon/local_rescan.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.syncdaemon.local_rescan - local rescanning
+# ubuntuone.syncdaemon.local_rescan - local rescanning
 #
 # Author: Facundo Batista <facundo@canonical.com>
 #

=== modified file 'ubuntuone/syncdaemon/logger.py'
--- canonical/ubuntuone/storage/syncdaemon/logger.py	2009-05-12 13:36:05 +0000
+++ ubuntuone/syncdaemon/logger.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.syncdaemon.logger - logging utilities
+# ubuntuone.syncdaemon.logger - logging utilities
 #
 # Author: Guillermo Gonzalez <guillermo.gonzalez@canonical.com>
 #

=== modified file 'ubuntuone/syncdaemon/main.py'
--- canonical/ubuntuone/storage/syncdaemon/main.py	2009-06-18 19:01:02 +0000
+++ ubuntuone/syncdaemon/main.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.syncdaemon.main - main SyncDaemon innards
+# ubuntuone.syncdaemon.main - main SyncDaemon innards
 #
 # Author: Guillermo Gonzalez <guillermo.gonzalez@canonical.com>
 #         John Lenton <john.lenton@canonical.com>
@@ -26,8 +26,8 @@
 
 from twisted.internet import defer, reactor, task
 
-from canonical.ubuntuone.storage.protocol import oauth
-from canonical.ubuntuone.storage.syncdaemon import (
+from ubuntuone.storageprotocol import oauth
+from ubuntuone.syncdaemon import (
     action_queue,
     dbus_interface,
     event_queue,
@@ -38,7 +38,7 @@
     sync,
     volume_manager,
 )
-from canonical.ubuntuone.storage.syncdaemon.state import SyncDaemonStateManager
+from ubuntuone.syncdaemon.state import SyncDaemonStateManager
 
 
 class Main(object):

=== modified file 'ubuntuone/syncdaemon/marker.py'
--- canonical/ubuntuone/storage/syncdaemon/marker.py	2009-05-12 13:36:05 +0000
+++ ubuntuone/syncdaemon/marker.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.syncdaemon.marker - marker for MDIDs
+# ubuntuone.syncdaemon.marker - marker for MDIDs
 #
 # Author: Lucio Torre <lucio.torre@canonical.com>
 #
@@ -19,7 +19,7 @@
 
 from zope.interface import implements
 
-from canonical.ubuntuone.storage.syncdaemon.interfaces import IMarker
+from ubuntuone.syncdaemon.interfaces import IMarker
 
 class MDMarker(str):
     """A marker that has the mdid inside, for action queue."""

=== modified file 'ubuntuone/syncdaemon/state.py'
--- canonical/ubuntuone/storage/syncdaemon/state.py	2009-05-12 13:36:05 +0000
+++ ubuntuone/syncdaemon/state.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.syncdaemon.state - manages SyncDaemon state
+# ubuntuone.syncdaemon.state - manages SyncDaemon state
 #
 # Author: John Lenton <john.lenton@canonical.com>
 #
@@ -22,7 +22,7 @@
 """
 import logging
 
-from canonical.ubuntuone.storage.syncdaemon import states
+from ubuntuone.syncdaemon import states
 
 class SyncDaemonStateManager(object):
     """

=== modified file 'ubuntuone/syncdaemon/states.py'
--- canonical/ubuntuone/storage/syncdaemon/states.py	2009-05-24 17:14:29 +0000
+++ ubuntuone/syncdaemon/states.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.syncdaemon.states - SyncDaemon states
+# ubuntuone.syncdaemon.states - SyncDaemon states
 #
 # Author: John Lenton <john.lenton@canonical.com>
 #

=== modified file 'ubuntuone/syncdaemon/sync.py'
--- canonical/ubuntuone/storage/syncdaemon/sync.py	2009-06-22 17:13:36 +0000
+++ ubuntuone/syncdaemon/sync.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.syncdaemon.sync - sync module
+# ubuntuone.syncdaemon.sync - sync module
 #
 # Author: Lucio Torre <lucio.torre@canonical.com>
 #
@@ -23,14 +23,14 @@
 from cStringIO import StringIO
 import sys
 
-from canonical.ubuntuone.storage.syncdaemon.marker import MDMarker
-from canonical.ubuntuone.storage.protocol.dircontent_pb2 import DIRECTORY
-from canonical.ubuntuone.storage.protocol import dircontent, hash
-from canonical.ubuntuone.storage.syncdaemon.fsm.fsm import \
+from ubuntuone.syncdaemon.marker import MDMarker
+from ubuntuone.storageprotocol.dircontent_pb2 import DIRECTORY
+from ubuntuone.storageprotocol import dircontent, hash
+from ubuntuone.syncdaemon.fsm.fsm import \
     StateMachineRunner, StateMachine
-from canonical.ubuntuone.storage.syncdaemon.interfaces import IMarker
-from canonical.ubuntuone.storage.syncdaemon import u1fsfsm
-from canonical.ubuntuone.storage.syncdaemon.filesystem_manager import \
+from ubuntuone.syncdaemon.interfaces import IMarker
+from ubuntuone.syncdaemon import u1fsfsm
+from ubuntuone.syncdaemon.filesystem_manager import \
     InconsistencyError
 empty_hash = hash.content_hash_factory().content_hash()
 

=== modified file 'ubuntuone/syncdaemon/tools.py'
--- canonical/ubuntuone/storage/syncdaemon/tools.py	2009-05-12 13:36:05 +0000
+++ ubuntuone/syncdaemon/tools.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.syncdaemon.tools - tools for SyncDaemon
+# ubuntuone.syncdaemon.tools - tools for SyncDaemon
 #
 # Author: Guillermo Gonzalez <guillermo.gonzalez@canonical.com>
 #
@@ -20,7 +20,7 @@
 import time
 import sys
 
-from canonical.ubuntuone.storage.syncdaemon.dbus_interface import (
+from ubuntuone.syncdaemon.dbus_interface import (
     DBUS_IFACE_NAME,
     DBUS_IFACE_STATUS_NAME,
     DBUS_IFACE_SHARES_NAME,

=== modified file 'ubuntuone/syncdaemon/volume_manager.py'
--- canonical/ubuntuone/storage/syncdaemon/volume_manager.py	2009-06-18 14:47:31 +0000
+++ ubuntuone/syncdaemon/volume_manager.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.syncdaemon.volume_manager - manages volumes
+# ubuntuone.syncdaemon.volume_manager - manages volumes
 #
 # Author: Guillermo Gonzalez <guillermo.gonzalez@canonical.com>
 #
@@ -25,8 +25,8 @@
 from contextlib import contextmanager
 from itertools import ifilter
 
-from canonical.ubuntuone.storage.syncdaemon.marker import MDMarker
-from canonical.ubuntuone.storage.syncdaemon import file_shelf
+from ubuntuone.syncdaemon.marker import MDMarker
+from ubuntuone.syncdaemon import file_shelf
 
 
 class Share(object):

=== renamed directory 'canonical/ubuntuone/storage/u1sync' => 'ubuntuone/u1sync'
=== modified file 'ubuntuone/u1sync/client.py'
--- canonical/ubuntuone/storage/u1sync/client.py	2009-06-23 19:11:48 +0000
+++ ubuntuone/u1sync/client.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.u1sync.client
+# ubuntuone.u1sync.client
 #
 # Client/protocol end of u1sync
 #
@@ -35,21 +35,21 @@
 
 from twisted.internet import reactor, defer, ssl
 from twisted.internet.defer import inlineCallbacks, returnValue
-from canonical.ubuntuone.storage.protocol.hash import crc32
-from canonical.ubuntuone.storage.protocol.context import get_ssl_context
-from canonical.ubuntuone.oauthdesktop.config import get_config \
+from ubuntuone.storageprotocol.hash import crc32
+from ubuntuone.storageprotocol.context import get_ssl_context
+from ubuntuone.oauthdesktop.config import get_config \
                                                  as get_oauth_config
-from canonical.ubuntuone.oauthdesktop.auth import AuthorisationClient
-from canonical.ubuntuone.storage.u1sync.genericmerge import MergeNode
-from canonical.ubuntuone.storage.u1sync.utils import should_sync
+from ubuntuone.oauthdesktop.auth import AuthorisationClient
+from ubuntuone.u1sync.genericmerge import MergeNode
+from ubuntuone.u1sync.utils import should_sync
 
 CONSUMER_KEY = "ubuntuone"
 
-from canonical.ubuntuone.storage.protocol.oauth import OAuthConsumer
-from canonical.ubuntuone.storage.protocol.client import (
+from ubuntuone.storageprotocol.oauth import OAuthConsumer
+from ubuntuone.storageprotocol.client import (
     StorageClientFactory, StorageClient)
-from canonical.ubuntuone.storage.protocol import request
-from canonical.ubuntuone.storage.protocol.dircontent_pb2 import \
+from ubuntuone.storageprotocol import request
+from ubuntuone.storageprotocol.dircontent_pb2 import \
     DirectoryContent, DIRECTORY
 import uuid
 

=== modified file 'ubuntuone/u1sync/constants.py'
--- canonical/ubuntuone/storage/u1sync/constants.py	2009-05-28 14:58:20 +0000
+++ ubuntuone/u1sync/constants.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.u1sync.constants
+# ubuntuone.u1sync.constants
 #
 # u1sync constants
 #

=== modified file 'ubuntuone/u1sync/genericmerge.py'
--- canonical/ubuntuone/storage/u1sync/genericmerge.py	2009-05-12 13:36:05 +0000
+++ ubuntuone/u1sync/genericmerge.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.u1sync.genericmerge
+# ubuntuone.u1sync.genericmerge
 #
 # Generic merge function
 #
@@ -20,7 +20,7 @@
 """A generic abstraction for merge operations on directory trees."""
 
 from itertools import chain
-from canonical.ubuntuone.storage.protocol.dircontent_pb2 import DIRECTORY
+from ubuntuone.storageprotocol.dircontent_pb2 import DIRECTORY
 
 class MergeNode(object):
     """A filesystem node.  Should generally be treated as immutable."""

=== modified file 'ubuntuone/u1sync/main.py'
--- canonical/ubuntuone/storage/u1sync/main.py	2009-06-23 19:11:48 +0000
+++ ubuntuone/u1sync/main.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.u1sync.main
+# ubuntuone.u1sync.main
 #
 # Prototype directory sync client
 #
@@ -32,21 +32,21 @@
 
 gobject.set_application_name('u1sync')
 
-from canonical.ubuntuone.storage.protocol.oauth import OAuthToken
-import canonical.ubuntuone.storage.protocol.dircontent_pb2 as dircontent_pb2
-from canonical.ubuntuone.storage.protocol.dircontent_pb2 import DIRECTORY
-from canonical.ubuntuone.storage.u1sync.genericmerge import (
+from ubuntuone.storageprotocol.oauth import OAuthToken
+import ubuntuone.storageprotocol.dircontent_pb2 as dircontent_pb2
+from ubuntuone.storageprotocol.dircontent_pb2 import DIRECTORY
+from ubuntuone.u1sync.genericmerge import (
     MergeNode, show_tree, generic_merge)
-from canonical.ubuntuone.storage.u1sync.client import (
+from ubuntuone.u1sync.client import (
     ConnectionError, AuthenticationError, NoSuchShareError,
     Client)
-from canonical.ubuntuone.storage.u1sync.scan import scan_directory
-from canonical.ubuntuone.storage.u1sync.merge import (
+from ubuntuone.u1sync.scan import scan_directory
+from ubuntuone.u1sync.merge import (
     SyncMerge, ClobberServerMerge, ClobberLocalMerge, merge_trees)
-from canonical.ubuntuone.storage.u1sync.sync import download_tree, upload_tree
-from canonical.ubuntuone.storage.u1sync.utils import safe_mkdir
-from canonical.ubuntuone.storage.u1sync import metadata
-from canonical.ubuntuone.storage.u1sync.constants import METADATA_DIR_NAME
+from ubuntuone.u1sync.sync import download_tree, upload_tree
+from ubuntuone.u1sync.utils import safe_mkdir
+from ubuntuone.u1sync import metadata
+from ubuntuone.u1sync.constants import METADATA_DIR_NAME
 import uuid
 
 NODE_TYPE_ENUM = dircontent_pb2._NODETYPE

=== modified file 'ubuntuone/u1sync/merge.py'
--- canonical/ubuntuone/storage/u1sync/merge.py	2009-05-14 20:37:03 +0000
+++ ubuntuone/u1sync/merge.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.u1sync.merge
+# ubuntuone.u1sync.merge
 #
 # Tree state merging
 #
@@ -23,8 +23,8 @@
 
 import os
 
-from canonical.ubuntuone.storage.protocol.dircontent_pb2 import DIRECTORY
-from canonical.ubuntuone.storage.u1sync.genericmerge import (
+from ubuntuone.storageprotocol.dircontent_pb2 import DIRECTORY
+from ubuntuone.u1sync.genericmerge import (
     MergeNode, generic_merge)
 import uuid
 

=== modified file 'ubuntuone/u1sync/metadata.py'
--- canonical/ubuntuone/storage/u1sync/metadata.py	2009-05-28 16:01:27 +0000
+++ ubuntuone/u1sync/metadata.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.u1sync.metadata
+# ubuntuone.u1sync.metadata
 #
 # u1sync metadata routines
 #
@@ -25,10 +25,10 @@
 import cPickle as pickle
 from errno import ENOENT
 from contextlib import contextmanager
-from canonical.ubuntuone.storage.protocol.dircontent_pb2 import DIRECTORY
-from canonical.ubuntuone.storage.u1sync.merge import MergeNode
-from canonical.ubuntuone.storage.u1sync.utils import safe_unlink
-from canonical.ubuntuone.storage.u1sync.constants import METADATA_DIR_NAME
+from ubuntuone.storageprotocol.dircontent_pb2 import DIRECTORY
+from ubuntuone.u1sync.merge import MergeNode
+from ubuntuone.u1sync.utils import safe_unlink
+from ubuntuone.u1sync.constants import METADATA_DIR_NAME
 import uuid
 
 class Metadata(object):

=== modified file 'ubuntuone/u1sync/scan.py'
--- canonical/ubuntuone/storage/u1sync/scan.py	2009-05-12 13:36:05 +0000
+++ ubuntuone/u1sync/scan.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.u1sync.scan
+# ubuntuone.u1sync.scan
 #
 # Directory scanning
 #
@@ -28,10 +28,10 @@
 
 EMPTY_HASH = "sha1:%s" % hashlib.sha1().hexdigest()
 
-from canonical.ubuntuone.storage.protocol.dircontent_pb2 import \
+from ubuntuone.storageprotocol.dircontent_pb2 import \
     DIRECTORY, FILE, SYMLINK
-from canonical.ubuntuone.storage.u1sync.genericmerge import MergeNode 
-from canonical.ubuntuone.storage.u1sync.utils import should_sync
+from ubuntuone.u1sync.genericmerge import MergeNode 
+from ubuntuone.u1sync.utils import should_sync
 
 def scan_directory(path, display_path="", quiet=False):
     """Scans a local directory and builds an in-memory tree from it."""

=== modified file 'ubuntuone/u1sync/sync.py'
--- canonical/ubuntuone/storage/u1sync/sync.py	2009-05-12 13:36:05 +0000
+++ ubuntuone/u1sync/sync.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.u1sync.sync
+# ubuntuone.u1sync.sync
 #
 # State update
 #
@@ -31,13 +31,13 @@
 CONFLICT_SYMBOL = "!"
 DELETE_SYMBOL = "X"
 
-from canonical.ubuntuone.storage.protocol import request
-from canonical.ubuntuone.storage.protocol.dircontent_pb2 import (
+from ubuntuone.storageprotocol import request
+from ubuntuone.storageprotocol.dircontent_pb2 import (
     DIRECTORY, SYMLINK)
-from canonical.ubuntuone.storage.u1sync.genericmerge import (
+from ubuntuone.u1sync.genericmerge import (
     MergeNode, generic_merge)
-from canonical.ubuntuone.storage.u1sync.utils import safe_mkdir
-from canonical.ubuntuone.storage.u1sync.client import UnsupportedOperationError
+from ubuntuone.u1sync.utils import safe_mkdir
+from ubuntuone.u1sync.client import UnsupportedOperationError
 
 def get_conflict_path(path, conflict_info):
     """Returns path for conflict file corresponding to path."""

=== modified file 'ubuntuone/u1sync/utils.py'
--- canonical/ubuntuone/storage/u1sync/utils.py	2009-05-28 14:58:20 +0000
+++ ubuntuone/u1sync/utils.py	2009-06-26 17:01:42 +0000
@@ -1,4 +1,4 @@
-# canonical.ubuntuone.storage.u1sync.utils
+# ubuntuone.u1sync.utils
 #
 # Miscellaneous utility functions
 #
@@ -22,7 +22,7 @@
 import os
 import re
 from errno import EEXIST, ENOENT
-from canonical.ubuntuone.storage.u1sync.constants import (
+from ubuntuone.u1sync.constants import (
     METADATA_DIR_NAME, SPECIAL_FILE_RE)
 
 def should_sync(filename):

